puppet-mountfilesystem
=========

This module was created to manage filesystem mountpoints for Linux servers. It was created to give a resource to mount azure file system as well.

Usage
-----

```
# Sample Azure file system mount using secret key (Hiera encrypted)
mountfilesystem::mounts:
  'mountname':
   type            : 'azure'
   location        : '/data'
   fstype          : 'cifs'
   dir_mode        : 0777
   file_mode       : 0777
   url             : '//azuresharename.file.core.windows.net/azurefilesharefoldername'
   account_name    : 'azureaccountname'
   key             : >
    ENC[PKCS7,MIIBygYJKoZIhvcNAQcDoIIBuzCCAbcCAQAxggEhMIIBHQIBADAFMAACAQEw
    DQYJKoZIhvcNAQEBBQAEggEALL0Y4LNBDdJsEHHkTd5UNmG2PRL4+V9T62P4
    0pYP4Iwkfd1QIosUM4THAq2iRZcNcL5Ucs5wiik3kaHT34/grci4qkW0l4td
    0JG8Z9Ks8TIvXlmtc9cEpv+PTqD/wwtywKDThkdbCZnaVs6d4MSyeO5Dsh2/
    JMOtMvnlWMdyZU1qtUTORiTd/Bw2qOi2wNu7kyWB272xK2t+jGpDM52hTt3u
    crqLOpohjcG04mUKkiMqt5JBZ3pedI9/W5ziKsbZwt9FxS34usKtaq8FgZh+
    0P7feGhhbtyLfsibwxPwTrn6zWeV72Z/Z1ibMg3++H5XqDb505tMZKq9FRMJ
    ITZHtzCBjAYJKoZIhvcNAQcBMB0GCWCGSAFlAwQBKgQQLhnMaOhgl0h3nUJQ
    FfLCTIBgpZZvFTvmZ0C3J/rKuZCqrzLFfQyyCCppn+7Cxshazeg0HoVk32oc
    pwlbOw0oLJszIo6JehHCUByOb5QxiDSDtANuIEx2PI2yduav/r4x5OSjlUVP
    Ch9x9QCPWo2pgrhp]
```

Limitations
------------

At the moment this has only been tested with Ubuntu.

License
-------

MIT

Author Information
------------------

This module was created in 2017 by Benson Arokiadoss on behalf of [Kainos Software](https://www.kainos.com)
